import e from "./_apply.js";
//#region ../../node_modules/lodash-es/_overRest.js
var t = Math.max;
function n(n, r, i) {
	return r = t(r === void 0 ? n.length - 1 : r, 0), function() {
		for (var a = arguments, o = -1, s = t(a.length - r, 0), c = Array(s); ++o < s;) c[o] = a[r + o];
		o = -1;
		for (var l = Array(r + 1); ++o < r;) l[o] = a[o];
		return l[r] = i(c), e(n, this, l);
	};
}
//#endregion
export { n as default };
